Bug 832804 - Review Request: axion - Open Source Java Database
Review Request: axion - Open Source Java Database
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
BuildFails
:
Depends On: 832803
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-17 10:12 EDT by gil cattaneo
Modified: 2015-04-22 18:47 EDT (History)
4 users (show)

See Also:
Fixed In Version: axion-1.0-0.2.M3.dev.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-22 18:47:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-06-17 10:12:10 EDT
Spec URL: http://gil.fedorapeople.org/axion.spec
SRPM URL: http://gil.fedorapeople.org/axion-1.0-1.fc16.src.rpm
Description: Axion is a small, fast, open source relational
database system (RDBMS) supporting SQL and JDBC
written in and for the Java programming language.
Fedora Account System Username: gil
Comment 1 Mikolaj Izdebski 2015-02-12 00:13:17 EST
Build fails. Please make package buildable.
Comment 2 gil cattaneo 2015-02-18 21:37:17 EST
(In reply to Mikolaj Izdebski from comment #1)
> Build fails. Please make package buildable.

need to import before apache-commons-primitives rhbz#832803
Comment 4 Zbigniew Jędrzejewski-Szmek 2015-04-13 13:04:11 EDT
Issues
=======
It seems that fedora-review is badly confused here for some reason. I'm leaving its comments for reference.

- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines

It does install properly, when #832803 is installed.

- Packages have proper BuildRequires/Requires on jpackage-utils

They seem to have.

- POM files have correct Maven mapping
  Note: Old style Maven package found, no add_maven_depmap calls found but POM
  files present
  See: https://fedoraproject.org/wiki/Packaging:Java#add_maven_depmap_macro

%mvn_install is used, so things seem fine.

- If (and only if) the source package includes the text of the license(s) in
  its own file, then that file, containing the text of the license(s) for the
  package is included in %doc.
  Note: Cannot find LICENSE.txt in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text

Bogus.

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "*No copyright* BSD (2 clause)", "BSD (2 clause)", "Unknown or
     generated". 8 files have unknown license. Detailed output of licensecheck
     in /var/tmp/832804-axion/licensecheck.txt
Where does ASL 2.0 come from? LICENSE.txt is BSD-3 clause.

[x]: License file installed when any subpackage combination is installed.
Though, again, I'd suggest co-owning the same LICENSE file by axion and axion-javadoc.

[?]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 378880 bytes in 32 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in axion-
     javadoc
Not needed.

[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[!]: Rpmlint is run on all installed packages.
     Note: Mock build failed
     See: http://fedoraproject.org/wiki/Packaging/Guidelines#rpmlint
rpmlint says:
# rpmlint axion
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# rpmlint axion-javadoc
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.7 starting (python version = 2.7.8)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled yum cache
Start: cleaning yum metadata
Finish: cleaning yum metadata
INFO: enabled ccache
Mock Version: 1.2.7
INFO: Mock Version: 1.2.7
Finish: chroot init
INFO: installing package(s): /var/tmp/832804-axion/results/axion-1.0-1.fc23.noarch.rpm /var/tmp/832804-axion/results/axion-javadoc-1.0-1.fc23.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 23 install /var/tmp/832804-axion/results/axion-1.0-1.fc23.noarch.rpm /var/tmp/832804-axion/results/axion-javadoc-1.0-1.fc23.noarch.rpm --setopt=tsflags=nocontexts


Rpmlint
-------
Checking: axion-1.0-1.fc23.noarch.rpm
          axion-javadoc-1.0-1.fc23.noarch.rpm
          axion-1.0-1.fc23.src.rpm
axion.src: W: invalid-url Source0: axion-1.0-M3-dev-clean-src-cvs20120617.tar.gz
3 packages and 0 specfiles checked; 0 errors, 1 warnings.




Requires
--------
axion-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

axion (rpmlib, GLIBC filtered):
    java-headless
    jpackage-utils
    mvn(commons-codec:commons-codec)
    mvn(commons-collections:commons-collections)
    mvn(commons-logging:commons-logging)
    mvn(commons-primitives:commons-primitives)
    mvn(junit:junit)
    mvn(net.java.dev.javacc:javacc)



Provides
--------
axion-javadoc:
    axion-javadoc

axion:
    axion
    mvn(axion:axion)
    mvn(axion:axion:pom:)



Source checksums
----------------
http://repo1.maven.org/maven2/axion/axion/1.0-M3-dev/axion-1.0-M3-dev.pom :
  CHECKSUM(SHA256) this package     : 22c59265298811f3ba9e437434e3317930557087b5cd9356fea50deeb2298b9b
  CHECKSUM(SHA256) upstream package : 22c59265298811f3ba9e437434e3317930557087b5cd9356fea50deeb2298b9b


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 832804 -o--no-clean -o--postinstall
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG




Things look kosher, only the license is unclear.
Comment 5 gil cattaneo 2015-04-13 13:22:27 EDT
(In reply to Zbigniew Jędrzejewski-Szmek from comment #4)
> Issues
> =======
> It seems that fedora-review is badly confused here for some reason. I'm
> leaving its comments for reference.
> 
> - Package installs properly.
>   Note: Installation errors (see attachment)
>   See: https://fedoraproject.org/wiki/Packaging:Guidelines
> 
> It does install properly, when #832803 is installed.
> 
> - Packages have proper BuildRequires/Requires on jpackage-utils
> 
> They seem to have.
> 
> - POM files have correct Maven mapping
>   Note: Old style Maven package found, no add_maven_depmap calls found but
> POM
>   files present
>   See: https://fedoraproject.org/wiki/Packaging:Java#add_maven_depmap_macro
> 
> %mvn_install is used, so things seem fine.
> 
> - If (and only if) the source package includes the text of the license(s) in
>   its own file, then that file, containing the text of the license(s) for the
>   package is included in %doc.
>   Note: Cannot find LICENSE.txt in rpm(s)
>   See:
>   http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
> 
> Bogus.
> 

> Things look kosher, only the license is unclear.

Spec URL: http://gil.fedorapeople.org/axion.spec
SRPM URL: http://gil.fedorapeople.org/axion-1.0-2.fc20.src.rpm

- fix license field
Comment 6 Zbigniew Jędrzejewski-Szmek 2015-04-13 13:28:37 EDT
Looks good.

Package is APPROVED.
Comment 7 gil cattaneo 2015-04-13 13:32:11 EDT
Thanks!

New Package SCM Request
=======================
Package Name: axion
Short Description: Open Source Java Database
Upstream URL: http://axion.tigris.org/
Owners: gil
Branches: f22
InitialCC: java-sig
Comment 8 gil cattaneo 2015-04-13 13:42:24 EDT
Spec URL: http://gil.fedorapeople.org/axion.spec
SRPM URL: http://gil.fedorapeople.org/axion-1.0-0.2.M3.dev.fc20.src.rpm

- fix Release field

New Package SCM Request
=======================
Package Name: axion
Short Description: Open Source Java Database
Upstream URL: http://axion.tigris.org/
Owners: gil
Branches: f22
InitialCC: java-sig
Comment 9 Gwyn Ciesla 2015-04-13 15:22:28 EDT
Git done (by process-git-requests).
Comment 10 Fedora Update System 2015-04-15 15:46:54 EDT
axion-1.0-0.2.M3.dev.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/axion-1.0-0.2.M3.dev.fc22
Comment 11 Fedora Update System 2015-04-17 14:36:54 EDT
axion-1.0-0.2.M3.dev.fc22 has been pushed to the Fedora 22 testing repository.
Comment 12 Fedora Update System 2015-04-22 18:47:39 EDT
axion-1.0-0.2.M3.dev.fc22 has been pushed to the Fedora 22 stable repository.

Note You need to log in before you can comment on or make changes to this bug.